/******************************************************************************
CIF_Toolkit_defs.H
  
Description:

  CIF Toolkit type and constant definitions

CVS Information:

  $Source: /home/dsl/Master/cif/CIF-Comm-C++-Current/library/CIF_Toolkit_defs.H,v $
  $Date: 1998/09/28 20:16:39 $
  $Revision: 1.2 $
  $State: Exp $
  $Author: toonen $
******************************************************************************/

#if !defined(CIF_INCLUDE_TOOLKIT_DEFS)
#define CIF_INCLUDE_TOOLKIT_DEFS 1

#include "CIF_config.h"


/******************************************************************************
			       Type definitions
******************************************************************************/
typedef unsigned char CIF_Byte;

typedef unsigned long CIF_Size;

#if defined(HAVE_BOOL)
typedef bool CIF_Bool;
#else
enum CIF_Bool
{
    false = 0,
    true = 1
};
#endif


/******************************************************************************
				Macroized Types
******************************************************************************/

/*
 * Method argument: value is used and will *not be modified*
 */
#if !defined(ARG_IN)
#   define ARG_IN
#endif

/*
 * Method argument: value is used and *may be modified*
 */
#if !defined(ARG_INMOD)
#   define ARG_INMOD
#endif

/*
 * Method argument: value is not used, but may be modified to contain some
 * result when the method returns
 */
#if !defined(ARG_OUT)
#   define ARG_OUT
#endif

/*
 * Method argument: value is used, and may be modified to contain some
 * result when the method returns
 */
#if !defined(ARG_INOUT)
#   define ARG_INOUT
#endif


/******************************************************************************
			     Define CIF constants
******************************************************************************/
#define CIF_NULL 0


#endif /* CIF_INCLUDE_TOOLKIT_DEFS */
